Disable a task
POST https://{controlplane_path}/api/1/rest/public/task/disable
This API disables a task.
| When disabled | When enabled again | |
|---|---|---|
| Ultra tasks | Instances are marked as complete. | Instances are restarted. |
| Scheduled tasks on repeat schedule | Tasks do not run at future scheduled times. | Tasks start running again at scheduled times. |
Prerequisites
- Write permissions to update the task
Path parameters
| Key | Description |
|---|---|
controlplane_path |
Required. The path to the SnapLogic control plane:
elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For
example:
|
Query parameters
None.
Request header
Basic authentication
To use basic authentication, specify Basic for authorization in the request
header, add your credentials (email and password for your SnapLogic user or service account), and
specify application/json for content type. For example:
Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
Example of basic authentication using Postman:
Learn more about the basic authentication header in REST API requests.
JWT authentication
When using JWT authentication, the API request includes specific headers. In the request header,
specify Bearer Token for authorization, add the token, and specify
application/json for content type. These headers are automatically added when
you configure bearer token authentication in your API client. The authorization header contains
the word Bearer followed by a space and your JWT.
Authorization: Bearer Token {token}
Content-Type: application/json
Example of JWT authentication using Postman:
Request body
Specify the task path to disable a single task. Specify the project path to disable all tasks within the project.
task_path and project_path are provided,
task_path takes precedence and project_path is ignored.
{
"task_path" : "...",
"project_path" : "..."
}
| Key | Type | Description |
|---|---|---|
task_path |
string | The path to the task. Format:
|
project_path |
string |
Required.
The path to the SnapLogic project.
Format:
Important: The path comparison is case-sensitive.
|
Response
{
"success": [ ... ],
"failed": [ ... ]
}
| Key | Type | Description |
|---|---|---|
success |
array | An array of strings containing the paths of the tasks that were successfully updated. |
failed |
array | An array of strings containing the paths of the tasks that were not updated. |